Search
Clear search
Close search
Google apps
Main menu
true

System requirements and browsers

To use the latest Google Drive, Docs, Sheets, and Slides apps, you'll need iOS 9.0 or up.

Check which version of iOS you're using

  1. On your iPhone or iPad, open Settings.
  2. Tap General and then About.
  3. Next to "Version," you'll see which version of iOS you're using.

Download the Google Drive, Docs, Sheets, or Slides app

Note: Make sure all apps are updated to the latest version.

Evan is a Docs & Drive expert and author of this help page. Leave him feedback below about the page.

Was this article helpful?
How can we improve it?
Watch video tutorials

To get the latest tips, tricks, and how-to's, subscribe to our YouTube Channel.